``` ini

BenchmarkDotNet=v0.13.5, OS=Windows 11 (10.0.22621.1413/22H2/2022Update/SunValley2)
Intel Core i5-10500 CPU 3.10GHz, 1 CPU, 12 logical and 6 physical cores
.NET SDK=7.0.103
  [Host]     : .NET 7.0.3 (7.0.323.6910), X64 RyuJIT AVX2
  DefaultJob : .NET 7.0.3 (7.0.323.6910), X64 RyuJIT AVX2


```
|                            Method |        Mean |     Error |    StdDev |   Gen0 | Allocated |
|---------------------------------- |------------:|----------:|----------:|-------:|----------:|
|           Concat_CallStaticMethod |  11.5183 ns | 0.2798 ns | 0.2994 ns | 0.0076 |      48 B |
| Concat_CreateDelegateStaticMethod |   5.4876 ns | 0.0494 ns | 0.0462 ns | 0.0102 |      64 B |
|   Concat_CallStaticMethodDelegate |  12.1324 ns | 0.0871 ns | 0.0727 ns | 0.0076 |      48 B |
|              Sum_CallStaticMethod |   0.4940 ns | 0.0379 ns | 0.0354 ns |      - |         - |
|    Sum_CreateDelegateStaticMethod |   5.6712 ns | 0.0177 ns | 0.0157 ns | 0.0102 |      64 B |
|      Sum_CallStaticMethodDelegate |   1.3778 ns | 0.0021 ns | 0.0018 ns |      - |         - |
|                CallInstanceMethod |   0.4575 ns | 0.0020 ns | 0.0017 ns |      - |         - |
|      CreateDelegateInstanceMethod |   5.6167 ns | 0.0757 ns | 0.0632 ns | 0.0102 |      64 B |
|        CallInstanceMethodDelegate |   0.9363 ns | 0.0226 ns | 0.0212 ns |      - |         - |
|       GetCachedDelegateMethodInfo |   1.9659 ns | 0.0093 ns | 0.0087 ns |      - |         - |
|          GetNewDelegateMethodInfo |  88.1720 ns | 0.7567 ns | 0.6708 ns | 0.0254 |     160 B |
|             GetMethodInfoFromName |  22.5139 ns | 0.2714 ns | 0.2406 ns |      - |         - |
|                 CallViaMethodInfo |  43.5547 ns | 0.1413 ns | 0.1180 ns | 0.0178 |     112 B |
|      CreateDelegateFromMethodInfo | 307.2548 ns | 4.8440 ns | 4.2941 ns | 0.0100 |      64 B |
|        CallDelegateFromMethodInfo |   1.3829 ns | 0.0176 ns | 0.0147 ns |      - |         - |
|                    SetStaticField |   0.0013 ns | 0.0000 ns | 0.0000 ns |      - |         - |
|         SetStaticFieldViaSetValue |  49.2655 ns | 0.2228 ns | 0.1861 ns | 0.0038 |      24 B |
